tech-userlevel archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

Re: 5.1 vs. 6.0_BETA

 >> Does NetBSD keep libraries from base (except X11 libs)
 >> backward compatible between major releases?

> Yes, that is the goal.

After updating the system from 5.1 to 6.0_BETA I've found that a lot of
applications built for 5.1 stop working due to lack of __cerror in libc.

mediatomb, for example, says

    /usr/lib/ Undefined symbol "__cerror" (symnum = 12)

This change probably comes from here

Is this breakage expected?

> -- 
> Matthias Scheler                        

Best regards, Aleksey Cheusov.

Home | Main Index | Thread Index | Old Index